List Slot Types
Returns a list of SlotType objects.
The default field set is the small one embedded on Location responses (id, name,
is_pickable); request fields=all for the management fields such as sort_order,
patterns and the capacity measurements.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Query Parameters
Specify additional fields of the SlotType object to be included in the response.
basic, all, name, is_pickable, sort_order, patterns, is_fixed_capacity, slot_dimensions, weight_capacity, created_at, updated_at Using the filtering syntax, you may filter the results using the following fields:
idnamesort_orderis_pickable— supports only theeqandneqoperatorsis_fixed_capacitycreated_atupdated_at
The default sort order is descending by primary key (sort=-id).
Using the sorting syntax, the following fields are available for sorting:
idnamesort_ordercreated_atupdated_at
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the last id of the next page of results, non-inclusive.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the starting id of the next page of results.
See paging parameters for more information on paging.
A limit on the number of objects to be returned.
1 <= x <= 1000100
Response
A dictionary with a collection property that contains an array of up to
limit SlotType objects. If no slot types are found the array will be empty.
A list of SlotType objects.
True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.
The resource path for the next page of results if any are expected.
The resource path for the previous page of results if any are expected.
Additional metadata pertaining to the response.